extends Scene


func _on_meadow_interacted() -> void:
	$kq4_020_meadow.default_script(self)


func _on_beach_interacted() -> void:
	$kq4_013_beach.default_script(self)


func _on_beach_at_river_delta_interacted() -> void:
	$kq4_025_beach_at_river_delta.default_script(self)


func _on_open_ocean_interacted() -> void:
	$kq4_031_open_ocean.default_script(self)


func _on_room_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.say(ego, "Wistfully, you stare out over the ocean, wishing you could go home and see your family again. Unfortunately, reality sets in, and you remember your difficult situation. Turning your head, you look eastward toward a meadowland covered with wildflowers, and heave a big sigh of sadness.")
	).build(self, "_on_script_complete"))


func _on_cliff_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.say(ego, "The cliffs are high and jagged, looming over the turbulent ocean below. It's a dangerous place to stand too close to the edge.")
	).build(self, "_on_script_complete"))
